const kafka = require("kafka-node");

const client = new kafka.KafkaClient({ kafkaHost: "localhost:9092" });
const admin = new kafka.Admin(client);

// Create the topic
admin.createTopics(
  [
    {
      topic: "test-topic",
      partitions: 1,
      replicationFactor: 1
    }
  ],
  (err, res) => {
    if (err) {
      console.error("Error creating Kafka topic:", err);
    } else {
      console.log("Kafka topic created successfully:", res);
    }
  }
);
