const kafka = require("kafka-node");

const kafkaClient = new kafka.KafkaClient({ kafkaHost: "localhost:9092" });
const producer = new kafka.Producer(kafkaClient);

producer.on("ready", () => {
  console.log("Kafka producer is ready.");
});

producer.on("error", (err) => {
  console.error("Error in Kafka producer:", err);
});

module.exports = producer;
