const express = require("express");
const routes = require("./routes");
const consumer = require("./kafkaconsumer");

const app = express();
const PORT = 6501;

app.use("/", routes);

// require("./init");

consumer.on("ready", () => {
  console.log("Kafka consumer is ready.");
});

// Start the server
app.listen(PORT, () => {
  console.log(`Server is running on http://localhost:${PORT}`);
});
